<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BedType extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function getProductPrice()
    {
        return $this->belongsTo(ProductPrice::class, 'product_id');
    }
    public function getProduct()
    {
        return $this->belongsTo(Product::class, 'product_id');
    }
}
